<?php
/**
 * Page
 * @package     Page
 * @copyright   Copyright (C) 2011 MicroEngine Inc.
 */
class Page
{
    /**
     * ページID（primary key）
     * @var integer
     */
    public $_id;
    /**
     * テンプレートID
     * @var integer
     */
    public $template_id;
    /**
     * ページパス
     * CMS管理対象ディレクトリ(SITE_PATH)からのパス
     * @var string
     */
    public $page_path;
    /**
     * ページタイプ
     * 1=dir / 2=template / 3=file / 4=other / 5=template_archive
     * @var string
     */
    public $page_type;
    /**
     * ディレクトリ
     * @var string
     */
    public $directory;
    /**
     * ファイル名
     * @var string
     */
    public $file_name;
    /**
     * 拡張子
     * @var string
     */
    public $extension;
    /**
     * 文字コード
     * @var string
     */
    public $char_code;
    /**
     * 公開設定：0=false, 1=true
     * @var integer
     */
    public $public_flag;
    /**
     * html.title
     * @var string
     */
    public $title;
    /**
     * metaタグ keywords
     * @var string
     */
    public $keywords;
    /**
     * metaタグ description
     * @var string
     */
    public $description;
    /**
     * 備考
     * @var string
     */
    public $note;
    /**
     * 更新ユーザーID
     * @var integer
     */
    public $user_id;
    /**
     * 更新ユーザー名
     * @var string
     */
    public $user_name;
    /**
     * 作成日時
     * @var string
     */
    public $create_date;
    /**
     * 更新日時
     * @var string
     */
    public $update_date;
}