<!DOCTYPE html>
<html lang="ja">
<head>
<?php h::render('/Common/head.php') ?>
<title>ページ一括書き出し完了 - MicroEngine</title>
<script>
<!--
$(document).ready(function(){
    $('#nav_home').addClass('active');
});
//-->
</script>
</head>
<body>
<?php h::render('/Common/header.php', compact('login_user', '_flash'), array('help_page'=>'page_write_all_pages.html'));?>
<div class="main container">
<ul class="breadcrumb">
<li>
<a href="../Main/index">ホーム</a> <span class="divider">/</span>
</li>
<li><a href="../Content/index">コンテンツ</a> <span class="divider">/</span></li>
<li class="active">ページ一括書き出し完了</li>
</ul>

<h4>ページ一括書き出し完了</h4>

<table class="table table-striped">
<tbody>
<tr>
<th>パス</th>
<th>結果</th>
</tr>
<?php
foreach ($write_file_list as $page):
    if ($page['result'] === Me_Util::WRITE_FILE_SUCCESS):
?>
<tr>
<td><a href="../Main/index?path=<?php h::p($page['path']) ?>"><?php h::p(SITE_PATH . $page['path'])?></a></td>
<td>書き出し</td>
</tr>
<?php
    elseif ($page['result'] === Me_Util::WRITE_FILE_INHIBIT):
?>
<tr>
<td><a href="../Main/index?path=<?php h::p($page['path']) ?>"><?php h::p(SITE_PATH . $page['path'])?></a></td>
<td>抑制</td>
</tr>
<?php
    endif;
endforeach;
?>
</tbody>
</table>

<a href="../Content/index" class="btn btn-mini">戻る</a>
</div>

<?php h::render('/Common/footer.php');?>
</body>
</html>